Class | Chef::REST::RESTRequest
In: | lib/chef/rest/rest_request.rb
Parent: | Object

### Methods

call config host new path port query user_agent user_agent=

### Constants

UA_COMMON | = | "/#{::Chef::VERSION} (#{engine}-#{RUBY_VERSION}-p#{RUBY_PATCHLEVEL}; ohai-#{Ohai::VERSION}; #{RUBY_PLATFORM}; +http://opscode.com)"
DEFAULT_UA | = | "Chef Client" << UA_COMMON

### Attributes

headers | [R] |
http_client | [R] |
http_request | [R] |
method | [R] |
url | [R] |

### Public Class methods

new(method, url, req_body, base_headers={})
user_agent()
user_agent=(ua)

### Public Instance methods

call() {|response if block_given?| ...}
config()
host()
path()
port()
query()

[Validate]